Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - vdev-git

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: vdev-git r683.9f910cf-8

Git Clone URL: https://aur-dev.archlinux.org/vdev-git.git (read-only)
Package Base: vdev-git
Description: A virtual device manager for *nix
Upstream URL: https://github.com/jcnelson/vdev.git
Licenses: custom:ISC
Conflicts: vdev
Provides: udev, vdev
Submitter: fbt
Maintainer: fbt
Last Packager: fbt
Votes: 0
Popularity: 0.000000
First Submitted: 2015-05-13 10:25
Last Updated: 2015-11-02 10:34

Required by (44)

Sources (3)

Latest Comments

fbt commented on 2015-11-02 10:40

vdev-libudev-compat-git is the one providing udev now btw.

fbt commented on 2015-08-24 09:27

If we make something provide udev, it will conflict with systemd, unfortunately.
But it's still reasonable, I guess.

vdev-git now provides udev.

replabrobin commented on 2015-08-24 09:10

Hi again, after installing the various dependencies I find that my systemd free install still won't happen since I see these errors


:: vdev-libudev-compat-git and eudev are in conflict (libudev). Remove eudev? [y/N] y
error: failed to prepare transaction (could not satisfy dependencies)
:: consolekit: requires udev
:: eudev-systemdcompat: requires eudev>=3.1.2
:: libgusb: requires udev
:: syslog-ng-nosystemd: requires udev
:: udisks2-nosystemd: requires udev

eudev provides udev (and I suppose eudev). I'll need to try some expriments to see if I can make the PKGBUILD do the satisficing.